<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Ejercicio 22</title>
	<style type="text/css">
	main{
		display: flex;
		flex-direction: column;
		justify-content: center;
		font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
		font-weight: bold;
		font-size: small;
		margin-top: 80px;
		margin-left: 30px;
	}

	input{
		width: 240px;
		height: 60px;
		background-color: silver;
		border-radius: 5px;
		border: 0;
		padding-left: 16px;
		margin: 0px 10px;
	}

	button{
		width: 140px;
		height: 50px;
		line-height: 50px;
		background-color: olive;
		border-radius: 5px;
		border: 0;
		text-align: center;
		margin: 15px 15px 15px 15px;
		color: white;
	}



	</style>
	<script type="text/javascript">
	//crear una funcion que recibe como argumentos un array y debe realizar las operaciones 
	//suma, producto, resta
	//el resultado de la operacion es lo que devuelve la función
	window.addEventListener("load",function(e){

		document.querySelector("#sumar").addEventListener("click",function(e){

			let n = Math.floor((Math.random() * 10) + 1);
			let numeros = new Array(n);

			for (let i=0; i<numeros.length; i++) {

				numeros[i] = Math.floor((Math.random() * 10) + 1);
			}

			let suma = 0;

				for(let i=0; i<numeros.length; i++) {

					suma += numeros[i];
				}

				console.log(numeros);
			document.querySelector("#resultado").value = suma;

		});

		document.querySelector("#multiplicar").addEventListener("click",function(e){

			let n = Math.floor((Math.random() * 10) + 1);
			let numeros = new Array(n);
			
			for (let i=0; i<numeros.length; i++) {

				numeros[i] = Math.floor((Math.random() * 10) + 1);
			}

			let producto = 1;

			for(let i=0; i<numeros.length; i++) {

				producto *= numeros[i];
			}

			document.querySelector("#resultado").value = producto;

		});

		document.querySelector("#restar").addEventListener("click",function(e){

			let n = Math.floor((Math.random() * 10) + 1);
			let numeros = new Array(n);
			
			for (let i=0; i<numeros.length; i++) {

				numeros[i] = Math.floor((Math.random() * 10) + 1);
			}

			let resta = 0;

			for(let i=0; i<numeros.length; i++) {

				resta -= numeros[i];
			}


			document.querySelector("#resultado").value = resta;

		});

	});


	</script>
</head>
<body>
	<main>
		<div>
			<button id="sumar" type="submit">Suma</button>
			<button id="multiplicar" type="submit">Producto</button>
			<button id="restar" type="submit">Resta</button>
		</div>	
			<input id="resultado" type="text" name="resultado" placeholder="Resultado">
	</main>
</body>
</html>